#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void EnableThemeDark();
    void EnableThemeLight();

private:
    Ui::MainWindow *ui;

    void SetupDefineList();
    void SetupDeclareList();

    void LoadDefines( const QJsonDocument& jsonDocument );
    void LoadDeclarations( const QJsonDocument& jsonDocument );

    void LoadConfigFile( const QString& configPath );
    void SaveConfigFile( const QJsonDocument& jsonDocument, const QString& configPath );
};

#endif // MAINWINDOW_H
